Antom, leading provider of tailored payment solutions

inquireCard

POST /v1/aba/cards/inquireCard

Use this API to retrieve a list of card details linked to a specific customer or account by providing relevant parameters such as card nickname, status, or the last four digits. This enables you to efficiently manage cards, monitor their status, and support operational decision-making.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each parameter (except array) as String. This means that you must use double quotation marks (" ") to enclose the parameter value. Examples:

  • If the data type of a parameter is Integer and its value is 20, set it as "20". 
  • If the data type of a parameter is Boolean and its value is true, set it as "true". 

Request parameters

pageNumber Integer  REQUIRED

Page number.

Note: A value below 1 or a non-Integer value is invalid and returns PARAM_ILLEGAL.

More information:

  • Value range: [1, +∞)

pageSize Integer  REQUIRED

The number of items on each page.

Note: A value outside 1–50 or a non-Integer value is invalid and returns PARAM_ILLEGAL.

More information:

  • Value range: [1, 50]

lastFourDigits String  

The last four digits of the card number.

More information:

  • Maximum length: 4 characters

cardStatus String  

The card status. Valid values are:

  • ACTIVE: The card is active and can be used normally.
  • FROZEN: The card is frozen and temporarily unavailable for use.
  • CANCEL: The card has been canceled and is no longer valid.

More information:

  • Maximum length: 32 characters

cardNickName String  

The card nickname defined by the merchant, which can help to manage multiple cards more conveniently.

More information:

  • Maximum length: 120 characters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

totalCount String  

Total number of cards that match the query conditions.

This parameter is returned only when the value of result.resultStatus is S.

totalPageNumber String  

The total number of pages.

This parameter is returned only when the value of result.resultStatus is S.

currentPageNumber String  

The currency page number.

This parameter will be returned when the value of result.resultStatus is S.

cardList Array<CardList>  

The list of card information.

This parameter will be returned when the value of result.resultStatus is S.

More information:

  • Maximum size: 50 elements
Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body


Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

No further action is needed.

PARAM_ILLEGALFpageNumber is below 1, or pageSize is outside 1–50, or either value is not encoded as Integer.

Correct the pagination value and retry. Do not replay the identical invalid request.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support Team to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

CONTRACT_NOT_EXISTFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh token to get a new access token or contact our Technical Support Team to address it.